Skip to content

listMyEvents

GET
/v1/me/events
curl --request GET \
--url 'https://testnet-rpc.necter.network/v1/me/events?wait=0&limit=50' \
--header 'Authorization: Bearer <token>'
project_id
string
/^0x[0-9a-f]{64}$/
after
string
wait
integer
0 <= 30
limit
integer
default: 50 >= 1 <= 200

Activity timeline of the wallet (store TimelineEvent)

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
type
required

Dotted names. Network: module.event, round.finalized, round.escalated, epoch.settled, project.listed, project.paused, project.delisted, project.version_activated, slash.executed. Account: device.bound, device.unbound, device.online, device.offline, subscription.created, subscription.active, subscription.paused, subscription.resumed, subscription.jailed, subscription.unbonding, lease.offered, lease.missed, proof.verified, proof.rejected, slash.proposed, slash.disputed, slash.cancelled, payout.claimable, withdrawal.completed, developer.enrollment_approved, developer.enrollment_rejected, developer.verified, listing.approved, listing.rejected, faucet.dripped.

string
created_at
required
integer
project_id
string
/^0x[0-9a-f]{64}$/
module
string
/^0x[0-9a-f]{64}$/
address

Lowercase EVM address

string
/^0x[0-9a-f]{40}$/
node_id
string
/^ndsr-[0-9a-f]{16}$/
subscription_id
string
/^0x[0-9a-f]{64}$/
round_id
string
tx_hash
string
/^0x[0-9a-f]{64}$/
message
string
data

Event-specific JSON

next_cursor
required
string | null

Example generated

{
"items": [
{
"id": "example",
"type": "example",
"created_at": 1,
"project_id": "example",
"module": "example",
"address": "example",
"node_id": "example",
"subscription_id": "example",
"round_id": "example",
"tx_hash": "example",
"message": "example",
"data": "example"
}
],
"next_cursor": "example"
}